<?php
// $Id: presentation-export-slippy.tpl.php,v 1.1.2.1 2010/08/04 07:42:27 grayside Exp $
/**
 * This template is used to print a Slippy presentation.
 *
 * Variables available:
 * - $plugin: The presentation plugin definition array.
 * - $slides: Individual slides of the show. array('title' => text)
 * - $arguments: Associative array of values that may be injected into the template. Assumes template knows what they are.
 * - $inline_styles: CSS for inline injection.
 */
?>
<?php extract($arguments); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><?php print $title; ?></title>
  <base href="<?php print $base_url; ?>" />
  <?php print drupal_get_html_head(); ?>
  <!-- metadata -->
  <meta name="generator" content="<?php print $plugin['label']; ?>" />
  <meta name="version" content="S5 1.1" />
  <meta name="presdate" content="<?php print $date; ?>" />
  <meta name="author" content="<?php print $author; ?>" />
  <meta name="email" content="<?php print $email; ?>" />
  <meta name="company" content="<?php print $organization; ?>" />
  <!-- Slippy JS -->
  <script type="text/javascript" src="<?php print $plugin['library']; ?>/src/jquery-1.4.2.min.js"></script>
  <script type="text/javascript" src="<?php print $plugin['library']; ?>/src/jquery.history.js"></script>
  <script src="<?php print $plugin['library']; ?>/src/slippy-0.9.0.js" type="text/javascript"></script>
  <!-- Slippy init code -->
  <script type="text/javascript">
      $(function() {
          $(".slide").slippy({
              // settings go here
              // possible values are:
              //  - animLen, duration for default animations (0 = disabled)
              //  - animInForward, receives a slide and animates it
              //  - animInRewind, receives a slide and animates it
              //  - animOutForward, receives a slide and animates it
              //  - animOutRewind, receives a slide and animates it
              //  - baseWidth, defines the base for img resizing, if you don't want only
              //    full-width images, specify this as the pixel width of a slide so that
              //    images are scaled properly (default is 620px wide)
              //  - ratio, defines the width/height ratio of the slides, defaults to 1.3 (620x476)
          });
          SyntaxHighlighter.all();
      });
  </script>
  <!-- style sheet links -->
  <?php
    // Support external themes. Themes added to the s5 settings form that are full paths to a theme directory will be included as is.
    $theme_path = $plugin['library'] . '/src/slippy-dark.css';
  ?>
  <link rel="stylesheet" href="<?php print $plugin['library']; ?>/src/slippy-0.9.0.css" type="text/css" />
  <link rel="stylesheet" href="<?php print $theme_path; ?>" type="text/css" />
  <style type="text/css">
    .slide.nochrome {
        border: 0;
        background: 0;
    }
    <?php print $inline_styles; ?>
  </style>
</head>
<body>
  <div class="slide">
    <h1><?php print $title; ?></h1>
    <div class="vcenter">
      <?php if(!empty($author)): ?>
      <h3><?php print $author; ?></h3>
      <?php endif; ?>
      <?php if(!empty($organization)): ?>
      <h4><?php print $organization; ?></h4>
      <?php endif; ?>
    </div>
  </div>

  <?php foreach ($slides as $slide) { ?>
  <div class="slide">
  <h1><?php print $slide['title']; ?></h1>
  <?php print $slide['text']; ?>
  </div>
  <?php } ?>

  <div class="layout" name="default"> 
      <content></content> 
      <div class="footer"> 
          <span class="left"><?php print $author; ?></span> 
          <span class="right"><?php print $location; ?></span> 
          <span class="left"><?php print $title . ' &middot; ' . $date; ?></span> 
          <span class="right"><?php print $link; ?></span> 
          <hr class="defloat" /> 
      </div> 
  </div> 
</body>
</html>
